
Foreman - Feature #32685

Update graphql gem to at least 1.12

06/01/2021 11:59 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9230,

https://github.com/theforeman/foreman/p

ull/9328,

https://github.com/theforeman/foreman-p

ackaging/pull/8537,

https://github.com/theforeman/foreman-p

ackaging/pull/8539,

https://github.com/theforeman/foreman/p

ull/9449,

https://github.com/theforeman/foreman/p

ull/9458,

https://github.com/theforeman/foreman/p

ull/9553

  

Description

This gem adds support for Ruby 3.

Related issues:

Blocks Foreman - Tracker #32684: Ruby 3.0 support Closed

Associated revisions

Revision 952e1614 - 09/28/2022 09:35 AM - Evgeni Golov

Fixes #32685 - update graphql to 1.13.x

GrapQL 1.13.x is a large update and can break plugins, but it is Ruby 3

compatible.

Co-authored-by: Oleh Fedorenko <ofedoren@redhat.com>

Revision 0d339e46 - 09/28/2022 09:47 AM - Ewoud Kohl van Wijngaarden

Refs #32685 - Update rubygem-graphql to 1.13.16

Revision 2df36786 - 09/28/2022 09:47 AM - Ewoud Kohl van Wijngaarden

Refs #32685 - Update rubygem-graphql-batch to 0.5.1

Revision 4043216d - 09/28/2022 11:45 AM - Ewoud Kohl van Wijngaarden

Refs #32685 - Update foreman's graphql dependencies

Revision 734541b1 - 10/11/2022 11:38 AM - Oleh Fedorenko

Refs #32685 - Use actual model

Revision 339fe635 - 12/09/2022 05:11 PM - Kamil Szubrycht 

Refs #32685 - Keep modulized model name in Global ID

History
#1 - 06/01/2021 11:59 AM - Ewoud Kohl van Wijngaarden

- Blocks Tracker #32684: Ruby 3.0 support added

#2 - 06/01/2021 12:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/8565 added

#3 - 04/29/2022 06:49 AM - Evgeni Golov

- Status changed from Ready For Testing to New

- Assignee deleted (Ewoud Kohl van Wijngaarden)

- Pull request deleted (https://github.com/theforeman/foreman/pull/8565)

#4 - 05/23/2022 08:24 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/foreman/pull/9230 added

#5 - 07/30/2022 06:48 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9328 added

#6 - 09/27/2022 04:05 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/8537 added

#7 - 09/28/2022 09:35 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#8 - 09/28/2022 10:01 AM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|952e1614db88de4120a60cb0da5da53c0304dfc5.

#9 - 09/28/2022 11:31 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/8539 added

#10 - 10/04/2022 02:58 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9449 added

#11 - 10/11/2022 10:32 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9458 added

#12 - 11/08/2022 05:46 PM - Ewoud Kohl van Wijngaarden

- Category set to Packaging

- Triaged changed from No to Yes

#13 - 12/13/2022 11:36 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9553 added
